<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__reg__notif__rsp__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_reg_notif_rsp_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__reg__notif__rsp__t_1ab0caf2640057816644250615b344bf25" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_reg_notif_rsp_t::pdu</definition>
        <argsstring />
        <name>pdu</name>
        <briefdescription>
<para>pdu id </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1454" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1454" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__reg__notif__rsp__t_1afef09a8bf61ac1274c08ba491f4bffe6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga05446fa1277163e92d7ffe155d72b072">wiced_bt_avrc_sts_t</ref></type>
        <definition>wiced_bt_avrc_sts_t wiced_bt_avrc_reg_notif_rsp_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>status </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1455" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1455" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__reg__notif__rsp__t_1a1db39aafbee748463c1f0cc0bd1fe34a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_reg_notif_rsp_t::opcode</definition>
        <argsstring />
        <name>opcode</name>
        <briefdescription>
<para>Op Code (copied from avrc_cmd.opcode by AVRC_BldMetaDataRsp user. </para>
        </briefdescription>
        <detaileddescription>
<para>invalid one to generate according to pdu) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1456" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1456" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__reg__notif__rsp__t_1aac8f12f2b32cf48c9a3a2e72e052ea69" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_reg_notif_rsp_t::event_id</definition>
        <argsstring />
        <name>event_id</name>
        <briefdescription>
<para>event id which is registered </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1457" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1457" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__reg__notif__rsp__t_1ad6e3ba31c09e956e37c0e98253db17e6" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unionwiced__bt__avrc__notif__rsp__param__t">wiced_bt_avrc_notif_rsp_param_t</ref></type>
        <definition>wiced_bt_avrc_notif_rsp_param_t wiced_bt_avrc_reg_notif_rsp_t::param</definition>
        <argsstring />
        <name>param</name>
        <briefdescription>
<para>interim response parameters </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1458" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1458" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>RegNotify response. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="235">
        <label>wiced_bt_avrc_reg_notif_rsp_t</label>
        <link refid="structwiced__bt__avrc__reg__notif__rsp__t" />
        <childnode refid="236" relation="usage">
          <edgelabel>param</edgelabel>
        </childnode>
      </node>
      <node id="238">
        <label>wiced_bt_avrc_addr_player_param_t</label>
        <link refid="structwiced__bt__avrc__addr__player__param__t" />
      </node>
      <node id="236">
        <label>wiced_bt_avrc_notif_rsp_param_t</label>
        <link refid="unionwiced__bt__avrc__notif__rsp__param__t" />
        <childnode refid="237" relation="usage">
          <edgelabel>player_setting</edgelabel>
        </childnode>
        <childnode refid="238" relation="usage">
          <edgelabel>addr_player</edgelabel>
        </childnode>
      </node>
      <node id="237">
        <label>wiced_bt_avrc_player_app_param_t</label>
        <link refid="structwiced__bt__avrc__player__app__param__t" />
      </node>
    </collaborationgraph>
    <location bodyend="1459" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="1452" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="1453" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__reg__notif__rsp__t_1aac8f12f2b32cf48c9a3a2e72e052ea69" virt="non-virtual"><scope>wiced_bt_avrc_reg_notif_rsp_t</scope><name>event_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__reg__notif__rsp__t_1a1db39aafbee748463c1f0cc0bd1fe34a" virt="non-virtual"><scope>wiced_bt_avrc_reg_notif_rsp_t</scope><name>opcode</name></member>
      <member prot="public" refid="structwiced__bt__avrc__reg__notif__rsp__t_1ad6e3ba31c09e956e37c0e98253db17e6" virt="non-virtual"><scope>wiced_bt_avrc_reg_notif_rsp_t</scope><name>param</name></member>
      <member prot="public" refid="structwiced__bt__avrc__reg__notif__rsp__t_1ab0caf2640057816644250615b344bf25" virt="non-virtual"><scope>wiced_bt_avrc_reg_notif_rsp_t</scope><name>pdu</name></member>
      <member prot="public" refid="structwiced__bt__avrc__reg__notif__rsp__t_1afef09a8bf61ac1274c08ba491f4bffe6" virt="non-virtual"><scope>wiced_bt_avrc_reg_notif_rsp_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>